Package org.eclipse.graphiti.ui.internal.util.clipboard

## Class UriTransfer

- java.lang.Object
- - org.eclipse.swt.dnd.Transfer
  - - org.eclipse.swt.dnd.ByteArrayTransfer
    - - org.eclipse.graphiti.ui.internal.util.clipboard.UriTransfer

    public class UriTransfer
    extends org.eclipse.swt.dnd.ByteArrayTransfer

SWT `Transfer` for transporting a number of object `URI` -addressable objects. Expected data class is `UriTransferData`. In copy/paste scenario, use the `ModelClipboard` facility.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static UriTransfer` `getInstance()`
`protected int[]` `getTypeIds()`
`protected java.lang.String[]` `getTypeNames()`
`protected void` `javaToNative​(java.lang.Object data, org.eclipse.swt.dnd.TransferData transferData)`
`protected java.lang.Object` `nativeToJava​(org.eclipse.swt.dnd.TransferData transferData)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer

`getSupportedTypes, isSupportedType`

### Methods inherited from class org.eclipse.swt.dnd.Transfer

`registerType, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static UriTransfer getInstance()

Returns:
  the singleton instance

#### getTypeIds

    protected int[] getTypeIds()

Specified by:
  `getTypeIds` in class `org.eclipse.swt.dnd.Transfer`

#### getTypeNames

    protected java.lang.String[] getTypeNames()

Specified by:
  `getTypeNames` in class `org.eclipse.swt.dnd.Transfer`

#### javaToNative

    protected void javaToNative​(java.lang.Object data,
                                org.eclipse.swt.dnd.TransferData transferData)

Overrides:
  `javaToNative` in class `org.eclipse.swt.dnd.ByteArrayTransfer`

#### nativeToJava

    protected java.lang.Object nativeToJava​(org.eclipse.swt.dnd.TransferData transferData)

Overrides:
  `nativeToJava` in class `org.eclipse.swt.dnd.ByteArrayTransfer`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`